﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamCOmboEditor12._2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            xamComboEditor1.SelectedIndex = 0;
        }

        private void xamComboEditor1_SelectionChanged(object sender, EventArgs e)
        {
            Application.Current.Resources.MergedDictionaries.Clear();
            if (xamComboEditor1.SelectedIndex == 0)
            {
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary { Source = new Uri("/Themes/Metro/Metro.xamTileManager.xaml", System.UriKind.Relative) });
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary { Source = new Uri("/Themes/Metro/Metro.xamComboEditor.xaml", System.UriKind.Relative) });
            }
            else if (xamComboEditor1.SelectedIndex == 1)
            {
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary { Source = new Uri("/Themes/Office2010/Office2010Blue.xamComboEditor.xaml", System.UriKind.Relative) });
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary { Source = new Uri("/Themes/Office2010/Office2010Blue.xamTileManager.xaml", System.UriKind.Relative) });
            }
            else if (xamComboEditor1.SelectedIndex == 2)
            {
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary { Source = new Uri("/Themes/IG/IG.xamComboEditor.xaml", System.UriKind.Relative) });
                Application.Current.Resources.MergedDictionaries.Add(new ResourceDictionary { Source = new Uri("/Themes/IG/IG.xamTileManager.xaml", System.UriKind.Relative) });
            }
        }
    }

    public class DataItems
    {
        public ObservableCollection<Data> GetCollection()
        {
            return dataCollection;
        }
            public ObservableCollection<Data> dataCollection = new ObservableCollection<Data>()
                {
                    new Data{Name= "Metro", ID = "1"},
                    new Data{Name= "Office2010", ID = "2"},
                    new Data{Name= "IG", ID = "3"}
                };
    }

    public class Data
    {
        public string ID { get; set; }
        public string Name { get; set; }

    }
}
